<p-sidebar [(visible)]="display" styleClass="ui-sidebar-sm" [baseZIndex]="11000">
    <h3> Input </h3>
    <p-accordion>
        <p-accordionTab header="RCM RegCM4.7">
            <p-dropdown [options]="raw_datasets" 
                [(ngModel)]="selectedRawDataset" 
                placeholder="dataset" 
                optionLabel="dataset"></p-dropdown>

            <p-dropdown [options]="Types" 
                [(ngModel)]="selectedType" 
                optionLabel="label"></p-dropdown>
            
            <p-dropdown [options]="Indices" 
                [(ngModel)]="selectedIndices"
                placeholder="variables"
                optionLabel="label"></p-dropdown>

            <p>start: </p>
            <p-calendar [(ngModel)]="startdate" [monthNavigator]="true" [yearNavigator]="true" yearRange="1970:2100" placeholder="date" [showIcon]="true"></p-calendar>
            <p>stop: </p>
            <p-calendar [(ngModel)]="stopdate" [monthNavigator]="true" [yearNavigator]="true" yearRange="1970:2100" placeholder="date" [showIcon]="true"></p-calendar>
            <br>
            <p>Trend Analysis Method: </p>
            <p-dropdown [options]="Method" 
                [(ngModel)]="selectedRCMTrendMethod"
                optionLabel="label"></p-dropdown>
            
            <br><br>
            <p-checkbox label="Fix legend range" [(ngModel)]="fix_legend" binary="true" (click)="toggleDisabled()" ></p-checkbox>
            <br><br>
            <input type="text" pInputText [disabled]="disabled" [(ngModel)]="min_legend" pKeyFilter="num" placeholder="Min" style="width: 40%;">
            &nbsp;&nbsp;
            <input type="text" pInputText [disabled]="disabled" [(ngModel)]="max_legend" pKeyFilter="num" placeholder="Max" style="width: 40%;">
            
            <hr>
            <button (click)="Visualize2()" (click)="display = false">
                Visualize
            </button>
        </p-accordionTab>
        <p-accordionTab header="Extreme indices">
            <p-dropdown [options]="indices_datasets" 
                [(ngModel)]="selectedDataset" 
                placeholder="Select dataset" 
                optionLabel="dataset"></p-dropdown>

            <p-dropdown [options]="selectedDataset.indices" 
                [(ngModel)]="selectedIndex" 
                placeholder="Select index" 
                optionLabel="index"></p-dropdown>

            <p>From: </p>
            <select [(ngModel)]="selectedStartYear">
                    <option *ngFor="let i of selectedDataset.year;" [value]=i>{{i}}</option>
            </select>

            <select [(ngModel)]="selectedStartMonth">
                <option *ngFor="let m of selectedIndex.month; let i = index" [value]=i>{{m}}</option>
            </select>
            <p>to: </p>
            <select [(ngModel)]="selectedStopYear">
                    <option *ngFor="let i of selectedDataset.year;" [value]=i>{{i}}</option>
            </select>

            <select [(ngModel)]="selectedStopMonth">
                <option *ngFor="let m of selectedIndex.month; let i = index" [value]=i>{{m}}</option>
            </select>
            <br>
            <p>Trend Analysis Method: </p>
            <p-dropdown [options]="Method" 
                [(ngModel)]="selectedTrendMethod"
                optionLabel="label"></p-dropdown>
            
            <br><br>
            <p-checkbox label="Fix legend range" [(ngModel)]="fix_legend" binary="true" (click)="toggleDisabled()" ></p-checkbox>
            <br><br>
            <input type="text" pInputText [disabled]="disabled" [(ngModel)]="min_legend" pKeyFilter="num" placeholder="Min" style="width: 40%;">
            &nbsp;&nbsp;
            <input type="text" pInputText [disabled]="disabled" [(ngModel)]="max_legend" pKeyFilter="num" placeholder="Max" style="width: 40%;">

            <hr>
            <button (click)="Visualize()" (click)="display = false">
                Visualize
            </button>
        </p-accordionTab>
    </p-accordion>
</p-sidebar>

<div style="position: fixed;">
    <button pButton type="button" (click)="display = true" label="Input" class="ui-button-raised ui-button-secondary" icon="pi pi-bars"></button>
</div>

<p-dialog header="Something wrongs" [(visible)]="dialog" [modal]="true" [style]="{width: '50vw'}" [baseZIndex]="100000"
    [draggable]="false" [resizable]="false">
    <p>Please try again.</p>
        <p-footer>
            <button type="button" pButton icon="pi pi-times" (click)="dialog=false" label="Close" class="ui-button-secondary"></button>
        </p-footer>
</p-dialog>